#!/usr/bin/env python
# -*- coding: utf-8 -*-

from __future__ import division
from __future__ import print_function
from __future__ import unicode_literals

import os
import sys

if __name__ == "__main__":
    os.environ.setdefault("DJANGO_SETTINGS_MODULE", "cof.settings")

    from gestioncof.models import Clipper
    current = {}
    print("[ FETCHING ]")
    for clipper in Clipper.objects.all():
        current[clipper.username] = clipper
    print("[ SYNCING ]")
    for line in sys.stdin:
        bits = line.split(":")
        username = bits[0]
        fullname = bits[4]
        if username in current:
            clipper = current[username]
            if clipper.fullname != fullname:
                clipper.fullname = fullname
                clipper.save()
                print("Updated", username)
        else:
            clipper = Clipper(username=username, fullname=fullname)
            clipper.save()
            print("Created", username)
    print("[ DONE ]")
